<!DOCTYPE html>
<html> 
    <head>
     <meta charset="utf-8" />
     <title>Traitement d'une personne</title>
    </head>   
    <body>
    <!-- Début du programme PHP -->
    <?php
      // === on récupère les données ===
      $nom    = $_GET['nom']   ;
      $prenom = $_GET['prenom'];
      $age    = $_GET['age']   ;
      // === on traite les données ===
      // --- conversion en majuscules ---
      $nom    = strtoupper($nom)   ;
      $prenom = strtoupper($prenom);
      // --- conversion en entier ---
      $age    = intval($age)       ;
      // ==== on affiche les données ===
      echo 'Nom : '.$nom.'<br/>';
      echo 'Pr&eacute;nom : '.$prenom.'<br/>';
      echo 'Age : '.$age.'<br/>';
    ?>
    <!-- Fin du programme PHP -->
    </body>
</html>

